:root {
    --background-primary: #aaccff;
    --background-secondary: #aaddff;
    --background-neutral: #eee;
    --foreground: #111;
    --foreground-link: #008;
}
@media (prefers-color-scheme: dark) {
    :root {
        --background-primary: #00095e;
        --background-secondary: #001f34;
        --background-neutral: #111;
        --foreground: #eee;
        --foreground-link: #aaf;
    }
}

body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    font-size: 15pt;

    background-color: var(--background-primary, white);
}
p {
    font-size: 15pt;
    margin: 0;
    padding: 20px;
}
details summary {
    font-size: 15pt;
    margin: 0;
    padding: 20px;

}
h1 {
    font-size: 40pt;
    margin: 0;
    padding: 20px;
}
h2 {
    font-size: 30pt;
    margin: 0;
    padding: 20px;
}
h3 {
    font-size: 20pt;
    margin: 0;
    padding: 20px;
}
a {
    color: var(--foreground-link, blue);
    text-decoration: underline;
}

header, nav, main, footer {
    margin: 0;
    padding: 0;

    padding-left: max(0px, calc(50vw - 400px));
    padding-right: max(0px, calc(50vw - 400px));
}
header {
    margin-top: 76px; /* Match Gancio controls section in events.floxford.org */

    background-color: var(--background-primary, white);
    color: var(--foreground, black);

    display: block;
    padding-bottom: 30px;
    background: linear-gradient(1deg, var(--background-secondary, white) 0px, var(--background-primary, white) 60px);
}
nav, footer {
    background-color: var(--background-secondary, white);
    color: var(--foreground, black);
}
main {
    background-color: var(--background-neutral, white);
    color: var(--foreground, black);

    display: block;
    padding-bottom: 30px;
    background: linear-gradient(1deg, var(--background-secondary, white) 0px, var(--background-neutral, white) 60px);
}

aside {
    float: right;
    max-width: 400px;
    padding: 20px;
}
@media(min-width: 1600px) {
    main {
        position: relative;
    }
    aside {
        position: absolute;
        top: 0;
        left: calc(50vw + 400px);
    }
}

footer {
    display: block;
    padding-bottom: 30px;
    background: linear-gradient(1deg, var(--background-primary, white) 0px, var(--background-secondary, white) 60px);
}

header {
    text-align: center;
}
header p {
    transition: color 0.25s;
    line-height: 28px!important; /* Match Gancio styling in events.floxford.org */
}

header h1 {
    cursor: help;
    line-height: 61px!important; /* Match Gancio styling in events.floxford.org */
}
header:has(h1:hover) p {
    color: transparent;
}
header p u {
    color: var(--foreground, black);
}

nav ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: calc(100%-40px);
    list-style: none;
    font-size: 15pt;
    white-space: nowrap;

    margin: 0;
    padding: 0;

    line-height: 28px!important; /* Match Gancio styling in events.floxford.org */
}
nav ul li {
    margin: 0;
    padding: 20px;

    transition: color 0.25s, background-color 0.25s;
}
nav ul li a {
    color: inherit;
    text-decoration: underline;
}
nav ul li:has(a:hover), nav ul li.current, nav ul li.current-site {
    color: var(--foreground, black);
    background-color: var(--background-neutral, white);
}
nav ul li:has(a:hover), nav ul li.current-site {
    color: var(--foreground-link, blue);
}

@media(max-width: 800px) {
    nav ul {
        flex-wrap: nowrap;
    }
    nav {
        overflow-x: auto;
    }
}

footer {
    margin-bottom: 1lh;
}

footer img {
    vertical-align: middle;
    height: 1lh;
}

.skip-link {
    position: absolute;
    top: 0;
    left: -100vw;
    padding: 10px;
    background-color: var(--background-neutral, white);
}
.skip-link:focus {
    left: 0;
}
